Library Updates

The APPX engine interfaces with a variety of third-party libraries.

Overview

The APPX engine uses a variety of third-party libraries to implement various features of APPX 5.0.0.  The third-party libraries and the versions used by APPX 5.0.0 are listed below.

OpenSSL

The APPX engine utilizes on-demand dynamic linking to load the OpenSSL library.  The OpenSSL libary is required to enable APPXIO File Encryption and encrypted APPX Client sessions.  The OpenSSL library is only loaded by APPX if you attempt to use either of these features.  Most operating systems include some version of OpenSSL.  However, in the event that the operating system of your APPX server does not include OpenSSL or if the version of OpenSSL is not current, you will need to download and install the current version of OpenSSL before you can enable and use these APPX features.  APPX has been tested with OpenSSL version 9.8i.  We can provide no assurance that prior versions of OpenSSL will work correctly with APPX 5.0.0.

Dharma

The APPX ODBC capabilities which allow desktop applications with ODBC support to access APPX data on the various APPX platforms are implemented using a third party API supplied by Dharma Systems, Inc.  Dharma is located in Tarrytown, NY.

Release 5.0.0 of APPX includes a redesigned ODBC capability incorporating release 9.1 of Dharma's ODBC drivers.  The interface is compatible with SQL-92 and ODBC 3.5.

PDFlib

The PDF output capabilities of APPX output processes are implemented using a third party API supplied by PDFlib GmbH.  They are based in Munchen, Germany.

Release 5.0.0 of APPX was linked with PDFlib 7.0.3 which was released on 31 Mar 2008.

DISAM

Support for C-ISAM files is implemented in the APPX engine using the DISAM96 library supplied by Byte Designs, Ltd.  Byte Designs Ltd. is a privately held Canadian Company incorporated in the Province of British Columbia in 1987.   The DISAM feature is a separately licensed feature of APPX that is only available if specifically licensed.

libtar

Release 5.0.0 of the APPX engine is linked with libtar 1.2.11.  This library will be used in a future release of APPX to implement support for tar files. 

zlib

Release 5.0.0 of the APPX engine is linked with zlib 1.1.3.  This library will be used in a future release of APPX to implement support for compressing and uncompressing files.

Comments:

Read what other users have said about this page or add your own comments.

-- AlKalter - 04 Apr 2008

Edit | Attach | Watch | Print version | History: r5 < r4 < r3 < r2 < r1 | Backlinks | Raw View | Raw edit | More topic actions...
Topic revision: r4 - 2008-10-01 - SteveFrizzell
 
  • Edit
  • Attach
This site is powered by the TWiki collaboration platform Powered by PerlCopyright © 2008-2021 by the contributing authors. All material on this collaboration platform is the property of the contributing authors.
Ideas, requests, problems regarding TWiki? Send feedback